/*
 * System Interface Library for games
 * Copyright (c) 2007-2016 Andrew Church <achurch@achurch.org>
 * Released under the GNU GPL version 3 or later; NO WARRANTY is provided.
 * See the file COPYING.txt for details.
 *
 * include/SIL/sysdep/windows/common.h: Global declarations specific to
 * Windows.
 */

#ifndef SIL_SYSDEP_WINDOWS_COMMON_H
#define SIL_SYSDEP_WINDOWS_COMMON_H

/*************************************************************************/
/*************************************************************************/

/* We use "near" and "far" as identifiers, so prevent them from being
 * treated as (obsolete) keywords. */

#undef near
#undef far
#define near near_
#define far far_

/*************************************************************************/
/*************************************************************************/

#endif  // SIL_SYSDEP_WINDOWS_COMMON_H

/*
 * Local variables:
 *   c-file-style: "stroustrup"
 *   c-file-offsets: ((case-label . *) (statement-case-intro . *))
 *   indent-tabs-mode: nil
 * End:
 *
 * vim: expandtab shiftwidth=4:
 */
